%global debug_package %{nil}
%global __strip /bin/true
%global __brp_check_rpaths %{nil}
%global to_exclude libjnidispatch\\.so
%global __requires_exclude_from .*/%{to_exclude}$

# dbeaver-common build dep
# https://github.com/dbeaver/dbeaver-common
%global commit2         6ac017750ebe5346c5754af4b724562811d448b3
%global shortcommit2    %(c=%{commit2}; echo ${c:0:7})

# dbeaver-jdbc-libsql build deb
# https://github.com/dbeaver/dbeaver-jdbc-libsql
%global commit3         61afd4214a8b0d5af90405eb82b607d57e8190e2
%global shortcommit3    %(c=%{commit3}; echo ${c:0:7})

Name:		dbeaver-ce
Version:	25.0.4
Release:	1%{?dist}
Summary:	Universal Database Manager and SQL Client

License:	Apache-2.0
URL:		https://dbeaver.io
Source0:        https://github.com/dbeaver/dbeaver/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	dbeaver.desktop
# build dependency from 23.3.4+
Source2:        https://github.com/dbeaver/dbeaver-common/archive/%{commit2}/dbeaver-common-%{shortcommit2}.tar.gz
# build dependency from 24.2.5+
Source3:        https://github.com/dbeaver/dbeaver-jdbc-libsql/archive/%{commit3}/dbeaver-jdbc-libsql-%{shortcommit3}.tar.gz

Requires:       java
Requires:	jna
# new dep from 23.2.3+
BuildRequires:  maven
#BuildRequires:  dos2unix
BuildRequires:  java-devel

ExclusiveArch:  x86_64

%description
Universal Database Manager and SQL Client

%ifarch %ix86
%global sourcedir x86
%else
%global sourcedir x86_64
%endif

%prep
%setup -q -n dbeaver-%{version}
%setup -q -n dbeaver-%{version} -D -T -a2
%setup -q -n dbeaver-%{version} -D -T -a3
mv dbeaver-common-%{commit2} ../dbeaver-common
mv dbeaver-jdbc-libsql-%{commit3} ../dbeaver-jdbc-libsql
cp %{SOURCE1} %{_builddir}/

%build

#mvn clean package
# use included maven build script
#./build.sh
pushd product/aggregate
	mvn clean package
popd

mkdir -p usr/share
mv product/community/target/products/org.jkiss.dbeaver.core.product/linux/gtk/%{sourcedir}/dbeaver usr/share/

# disable automatic update for the installed version
sed -i '/requiredJavaVersion/a -Dpolicy.software.update.disabled=1' usr/share/dbeaver/dbeaver.ini

# remove packaged jna
#rm -rf usr/share/dbeaver/plugins/com.sun.jna_* 

%install
mv %{_builddir}/dbeaver-%{version}/usr %{buildroot}/
mkdir -p %{buildroot}%{_datarootdir}/applications
mv %{_builddir}/dbeaver.desktop %{buildroot}%{_datarootdir}/applications/

%check

%files
%dir %{_datarootdir}/dbeaver
%{_datarootdir}/dbeaver/*
%{_datarootdir}/dbeaver/.eclipseproduct
%{_datarootdir}/applications/dbeaver.desktop

%changelog
* Sun May 04 2025 Christian Birk <mail@birkc.de> - 25.0.4-1
- new version

* Sun Apr 20 2025 Christian Birk <mail@birkc.de> - 25.0.3-1
- new version

* Sun Apr 06 2025 Christian Birk <mail@birkc.de> - 25.0.2-1
- new version

* Sun Mar 23 2025 Christian Birk <mail@birkc.de> - 25.0.1-1
- new version

* Tue Mar 04 2025 Christian Birk <mail@birkc.de> - 25.0.0-1
- new version

* Sun Feb 16 2025 Christian Birk <mail@birkc.de> - 24.3.5-1
- new version

* Sun Feb 02 2025 Christian Birk <mail@birkc.de> - 24.3.4-1
- new version

* Sun Jan 19 2025 Christian Birk <mail@birkc.de> - 24.3.3-1
- new version

* Sun Jan 05 2025 Christian Birk <mail@birkc.de> - 24.3.2-1
- new version

* Sun Dec 22 2024 Christian Birk <mail@birkc.de> - 24.3.1-1
- new version

* Sun Dec 01 2024 Christian Birk <mail@birkc.de> - 24.3.0-1
- new version

* Sun Nov 17 2024 Christian Birk <mail@birkc.de> - 24.2.5-1
- new version

* Sun Nov 03 2024 Christian Birk <mail@birkc.de> - 24.2.4-1
- new version

* Tue Oct 22 2024 Christian Birk <mail@birkc.de> - 24.2.3-1
- new version

* Sun Oct 06 2024 Christian Birk <mail@birkc.de> - 24.2.2-1
- new version

* Sun Sep 22 2024 Christian Birk <mail@birkc.de> - 24.2.1-1
- new version

* Mon Sep 02 2024 Christian Birk <mail@birkc.de> - 24.2.0-1
- new version

* Mon Aug 19 2024 Christian Birk <mail@birkc.de> - 24.1.5-1
- new version

* Tue Aug 06 2024 Christian Birk <mail@birkc.de> - 24.1.4-1
- new version

* Mon Jul 22 2024 Christian Birk <mail@birkc.de> - 24.1.3-1
- new version

* Sun Jul 07 2024 Christian Birk <mail@birkc.de> - 24.1.2-1
- new version

* Wed Jul 03 2024 Christian Birk <mail@birkc.de> - 24.1.1-1
- new version

* Sun Mar 03 2024 Christian Birk <mail@birkc.de> - 24.0.0-1
- new version

* Sun Feb 04 2024 Christian Birk <mail@birkc.de> - 23.3.3-1
- new version

* Sun Dec 03 2023 Christian Birk <mail@birkc.de> - 23.3.0-1
- new version

* Mon Nov 20 2023 Christian Birk <mail@birkc.de> - 23.2.5-1
- new version

* Sun Nov 05 2023 Christian Birk <mail@birkc.de> - 23.2.4-1
- new version

* Sun Oct 22 2023 Christian Birk <mail@birkc.de> - 23.2.3-1
- new version

* Sun Oct 08 2023 Christian Birk <mail@birkc.de> - 23.2.2-1
- new version

* Sun Sep 24 2023 Christian Birk <mail@birkc.de> - 23.2.1-1
- new version

* Sun Sep 03 2023 Christian Birk <mail@birkc.de> - 23.2.0-1
- new version

* Sun Aug 20 2023 Christian Birk <mail@birkc.de> - 23.1.5-1
- new version

* Sun Aug 06 2023 Christian Birk <mail@birkc.de> - 23.1.4-1
- new version

* Sun Jul 23 2023 Christian Birk <mail@birkc.de> - 23.1.3-1
- new version

* Mon Jul 10 2023 Christian Birk <mail@birkc.de> - 23.1.2-1
- new version

* Tue Jun 27 2023 Christian Birk <mail@birkc.de> - 23.1.1-1
- new version

* Sun Jun 04 2023 Christian Birk <mail@birkc.de> - 23.1.0-1
- new version

* Tue May 23 2023 Christian Birk <mail@birkc.de> - 23.0.5-1
- new version

* Sun May 07 2023 Christian Birk <mail@birkc.de> - 23.0.4-1
- new version

* Sun Apr 23 2023 Christian Birk <mail@birkc.de> - 23.0.3-1
- new version

* Sun Apr 09 2023 Christian Birk <mail@birkc.de> - 23.0.2-1
- new version

* Mon Mar 27 2023 Christian Birk <mail@birkc.de> - 23.0.1-1
- new version

* Sat Mar 11 2023 Christian Birk <mail@birkc.de> - 23.0.0-1
- new version

* Sun Feb 19 2023 Christian Birk <mail@birkc.de> - 22.3.5-1
- new version

* Sun Feb 05 2023 Christian Birk <mail@birkc.de> - 22.3.4-1
- new version

* Sun Jan 22 2023 Christian Birk <mail@birkc.de> - 22.3.3-1
- new version

* Sun Jan 08 2023 Christian Birk <mail@birkc.de> - 22.3.2-1
- new version

* Sun Dec 25 2022 Christian Birk <mail@birkc.de> - 22.3.1-1
- new version

* Sun Dec 04 2022 Christian Birk <mail@birkc.de> - 22.3.0-1
- new version

* Sun Nov 20 2022 Christian Birk <mail@birkc.de> - 22.2.5-1
- new version

* Mon Nov 07 2022 Christian Birk <mail@birkc.de> - 22.2.4-1
- new version

* Mon Oct 24 2022 Christian Birk <mail@birkc.de> - 22.2.3-1
- new version

* Mon Oct 10 2022 Christian Birk <mail@birkc.de> - 22.2.2-1
- new version

* Sun Sep 25 2022 Christian Birk <mail@birkc.de> - 22.2.1-1
- new version

* Sun Sep 04 2022 Christian Birk <mail@birkc.de> - 22.2.0-1
- new version

* Mon Aug 22 2022 Christian Birk <mail@birkc.de> - 22.1.5-1
- new version

* Mon Aug 08 2022 Christian Birk <mail@birkc.de> - 22.1.4-1
- new version

* Sun Jul 24 2022 Christian Birk <mail@birkc.de> - 22.1.3-1
- new version

* Sun Jul 10 2022 Christian Birk <mail@birkc.de> - 22.1.2-1
- new version

* Sun Jun 26 2022 Christian Birk <mail@birkc.de> - 22.1.1-1
- new version

* Sun Jun 05 2022 Christian Birk <mail@birkc.de> - 22.1.0-1
- new version

* Mon May 23 2022 Christian Birk <mail@birkc.de> - 22.0.5-1
- new version

* Mon May 02 2022 Christian Birk <mail@birkc.de> - 22.0.4-1
- new version

* Tue Apr 19 2022 Christian Birk <mail@birkc.de> - 22.0.3-2
- add patch for tycho to fix java 17 build

* Tue Apr 19 2022 Christian Birk <mail@birkc.de> - 22.0.3-1
- Update to 22.0.3

* Mon Apr 04 2022 Golanv <mullein@adelie.io> 22.0.2-1
- Version bump to 22.0.2
- https://github.com/dbeaver/dbeaver/releases/tag/22.0.2
* Mon Mar 21 2022 Golanv <mullein@adelie.io> 22.0.1-1
- Version bump to 22.0.1
- https://github.com/dbeaver/dbeaver/releases/tag/22.0.1
* Tue Mar 08 2022 Golanv <mullein@adelie.io> 22.0.0-1
- Version bump to 22.0.0
- https://github.com/dbeaver/dbeaver/releases/tag/22.0.0
* Thu Feb 24 2022 Golanv <mullein@adelie.io> 21.3.5-1
- Version bump to 21.3.5
- https://github.com/dbeaver/dbeaver/releases/tag/21.3.5
* Mon Feb 07 2022 Golanv <mullein@adelie.io> 21.3.4-1
- Version bump to 21.3.4
- https://github.com/dbeaver/dbeaver/releases/tag/21.3.4
* Wed Jan 05 2022 Golanv <mullein@adelie.io> 21.3.2-1
- Version bump to 21.3.2
- https://github.com/dbeaver/dbeaver/releases/tag/21.3.2
* Mon Nov 29 2021 Golanv <mullein@adelie.io> 21.3.0-1
- Version bump to 21.3.0
- https://github.com/dbeaver/dbeaver/releases/tag/21.3.0
* Mon Nov 15 2021 Golanv <mullein@adelie.io> 21.2.5-1
- Version bump to 21.2.5
- https://github.com/dbeaver/dbeaver/releases/tag/21.2.5
* Mon Nov 01 2021 Golanv <mullein@adelie.io> 21.2.4-1
- Version bump to 21.2.4
- https://github.com/dbeaver/dbeaver/releases/tag/21.2.4
* Mon Oct 18 2021 Golanv <mullein@adelie.io> 21.2.3-1
- Version bump to 21.2.3
- https://github.com/dbeaver/dbeaver/releases/tag/21.2.3
* Sun Oct 03 2021 Golanv <mullein@adelie.io> 21.2.2-1
- Version bump to 21.2.2
- https://github.com/dbeaver/dbeaver/releases/tag/21.2.2
* Sun Sep 19 2021 Golanv <mullein@adelie.io> 21.2.1-1
- Version bump to 21.2.1
- https://github.com/dbeaver/dbeaver/releases/tag/21.2.1
* Mon Aug 30 2021 Golanv <mullein@adelie.io> 21.2.0-1
- Version bump to 21.2.0
- https://github.com/dbeaver/dbeaver/releases/tag/21.2.0
* Wed Aug 25 2021 Golanv <mullein@adelie.io> 21.1.5-1
- Version bump to 21.1.5
- https://github.com/dbeaver/dbeaver/releases/tag/21.1.5
* Mon Aug 02 2021 Golanv <mullein@adelie.io> 21.1.4-1
- Version bump to 21.1.4
- https://github.com/dbeaver/dbeaver/releases/tag/21.1.4
* Wed Jul 21 2021 Golanv <mullein@adelie.io> 21.1.3-1
- Version bump to 21.1.3
- https://github.com/dbeaver/dbeaver/releases/tag/21.1.3
* Wed Jul 07 2021 Golanv <mullein@adelie.io> 21.1.2-1
- Version bump to 21.1.2
- https://github.com/dbeaver/dbeaver/releases/tag/21.1.2
* Mon Jun 28 2021 Golanv <mullein@adelie.io> 21.1.1-1
- Version bump to 21.1.1
- https://github.com/dbeaver/dbeaver/releases/tag/21.1.1
* Tue Jun 01 2021 Golanv <mullein@adelie.io> 21.1.0-1
- Version bump to 21.1.0
- https://github.com/dbeaver/dbeaver/releases/tag/21.1.0
* Mon May 17 2021 Golanv <mullein@adelie.io> 21.0.5-1
- Version bump to 21.0.4
- https://github.com/dbeaver/dbeaver/releases/tag/21.0.5
* Mon May 03 2021 Golanv <mullein@adelie.io> 21.0.4-1
- Version bump to 21.0.4
- https://github.com/dbeaver/dbeaver/releases/tag/21.0.4
* Mon Apr 19 2021 Golanv <mullein@adelie.io> 21.0.3-1
- Version bump to 21.0.3
- https://github.com/dbeaver/dbeaver/releases/tag/21.0.3
* Mon Apr 05 2021 Golanv <mullein@adelie.io> 21.0.2-1
- Version bump to 21.0.2
- https://github.com/dbeaver/dbeaver/releases/tag/21.0.2
* Sun Mar 21 2021 Golanv <mullein@adelie.io> 21.0.1-1
- Version bump to 21.0.1
- https://github.com/dbeaver/dbeaver/releases/tag/21.0.1
* Wed Mar 03 2021 Golanv <mullein@adelie.io> 21.0.0-1
- Version bump to 21.0.0
- New calendar based versioning
- https://github.com/dbeaver/dbeaver/releases/tag/21.0.0
* Mon Feb 15 2021 Golanv <mullein@adelie.io> 7.3.5-1
- Version bump to 7.3.5
- https://github.com/dbeaver/dbeaver/releases/tag/7.3.5
* Mon Feb 01 2021 Golanv <mullein@adelie.io> 7.3.4-1
- Version bump to 7.3.4
- https://github.com/dbeaver/dbeaver/releases/tag/7.3.4
* Mon Jan 18 2021 Golanv <mullein@adelie.io> 7.3.3-1
- Ordinary version bump 7.3.3
- https://github.com/dbeaver/dbeaver/releases/tag/7.3.3
* Mon Jan 04 2021 Golanv <mullein@adelie.io> 7.3.2-1
- Version bump to 7.3.2
- https://github.com/dbeaver/dbeaver/releases/tag/7.3.2
* Mon Dec 21 2020 Golanv <mullein@adelie.io> 7.3.1-1
- Version bump to 7.3.1
- https://github.com/dbeaver/dbeaver/releases/tag/7.3.1
* Mon Nov 30 2020 Golanv <mullein@adelie.io> 7.3.0-1
- Version bump to 7.3.0
- https://github.com/dbeaver/dbeaver/releases/tag/7.3.0
* Sun Nov 15 2020 Golanv <mullein@adelie.io> 7.2.5-1
- Version bump to 7.2.5
- https://github.com/dbeaver/dbeaver/releases/tag/7.2.5
* Sun Nov 1 2020 Golanv <mullein@adelie.io> 7.2.4-1
- Version bump to 7.2.4
- https://github.com/dbeaver/dbeaver/releases/tag/7.2.4
* Mon Oct 19 2020 Golanv <mullein@adelie.io> 7.2.3-1
- Version bump to 7.2.3
* Sun Oct 4 2020 Golanv <mullein@adelie.io> 7.2.2-1
- Version bump to 7.2.2
* Mon Sep 21 2020 Golanv <mullein@adelie.io> 7.2.1-1
- Version bump to 7.2.1
* Wed Sep 2 2020 Golanv <mullein@adelie.io> 7.2.0-1
- Version bump to 7.2.0
* Tue Aug 18 2020 Golanv <mullein@adelie.io> 7.1.5-1
- Version bump to 7.1.5
* Thu Aug 6 2020 Golanv <mullein@adelie.io> 7.1.4-1
- Version bump 7.1.4
* Tue Jul 21 2020 Golanv <mullein@adelie.io> 7.1.3-1
- Version bump to 7.1.3
* Mon Jul 06 2020 Golanv <mullein@adelie.io> 7.1.2-1
- Version bump to 7.1.2 
* Tue Jun 30 2020 Golanv <mullein@adelie.io> 7.1.1-1
- Version bump to 7.1.1
* Tue Jun 09 2020 Golanv <mullein@adelie.io> 7.1.0-1
- Version bump to 7.1.0
* Mon May 18 2020 Golanv <mullein@adelie.io> 7.0.5-1
- Version bump to 7.0.5
* Mon May 04 2020 Golanv <mullein@adelie.io> 7.0.4-1
- Version bump to 7.0.4
* Sun Apr 19 2020 Golanv <mullein@adelie.io> 7.0.3-1
- Version bump to 7.0.3
* Tue Apr 07 2020 Golanv <mullein@adelie.io> 7.0.2-1
- Version bump to 7.0.2
* Mon Mar 23 2020 Golanv <mullein@adelie.io> 7.0.1-1
- Version bump to 7.0.1
* Mon Mar 02 2020 Golanv <mullein@adelie.io> 7.0.0
- Version bump
* Mon Feb 17 2020 Golanv <mullein@adelie.io> 6.3.5
- Version bump
* Mon Jan 20 2020 Golanv <mullein@adelie.io> 6.3.3
- Version bump
* Wed Jan 8 2020 Golanv <mullein@adelie.io> 6.3.2
- Version bump
* Sun Dec 1 2019 Golanv <mullein@adelie.io> 6.3.0
- Version bump
* Mon Nov 18 2019 Golanv <mullein@adelie.io> 6.2.5
- Version bump
* Mon Nov 04 2019 Golanv <mullein@adelie.io> 6.2.4
- Updates dbeaver.desktop file
- Version bump
* Mon Oct 21 2019 Golanv <mullein@adelie.io> 6.2.3
- Version bump
* Mon Oct 07 2019 Golanv <mullein@adelie.io>
- Bump to upstream
